mac os 10.10 使用brew安装php5.5 Error: You must `brew link libpng jpeg autoconf' before php55 can be installed

谢锡鹏 发布于 2014/10/26 22:20
阅读 4K+
收藏 0

mac 10.10升级后,使用mac自带的php+apachec环境,发现php不支持生成验证码,偿试了很多方式都不行不通。看到网上有网友说重装php,完整支持,使可解决。但是我使用brew安装php5.5时,报:Error: You must `brew link libpng jpeg autoconf' before php55 can be installed;

检查libpng,jpeg,autoconf都已经安装了。并用brew重新安装,但是还是未能解决这个问题。

如果有网友碰到了,可以交流一下,看如你何解决mac 10.10 不能显示验证码的问题。

或能否帮我解决安装使用brew安装php5.5版本。


加载中
0
leo108
leo108

请执行brew link libpng jpeg autoconf

谢锡鹏
执行brew link libpng jpeg autoconf,提示: Error: Could not symlink include/libpng16/png.h Target /usr/local/include/libpng16/png.h already exists. You may want to remove it:
谢锡鹏
也执行了!但是就是不行!
0
金三胖
金三胖
和你一样情况,所以我用brew装的是5.4,安装过程也记录了,但没发出来(_ε_)不过有个建议,重装系统后马上就安装mysql+PHP。最近我重装10.10 N次,其中一次我先安装了libtool,再装PHP死活没装上。
谢锡鹏
我的mysql 是手动装的,所以更新系统后,还是可以用的!要是不能用就杯具了,很多数据!
谢锡鹏
那你装上5.4了吗?
0
Br00k
Br00k
验证码是因为缺少了php的gd扩展吧??
YesterdayPromise
YesterdayPromise
你的问题解决了没?我刚遇到这个问题啊。。。求解决之道
谢锡鹏
GD库是有的了,但是libpng没有,重装gd也没有。
0
诡道
诡道
楼主解决了吗?
0
leeyi
leeyi

  我也遇到同样问题,求解决方法啊?

按照下面发方法,也试了,我没有成功

http://yangjunwei.com/a/1570.html

0
leeyi
leeyi
我也单独编译安装过freetype,但是,不知道怎么正好到mac自带的php-fpm里面去
0
leeyi
leeyi

我安装这个文章做《Mac下安装LNMP(Nginx+PHP5.6)环境》http://www.tuicool.com/articles/2yM7Z3

结果报错:

Error: Cowardly refusing to `sudo brew install`

返回顶部
顶部